#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    double godisnje[n];
    double procenat[n];
    pair<double, double> parovi[n];
    for(int i = 0; i < n; i++)
    {
        cin >> godisnje[i] >> procenat[i];
        parovi[i].first = procenat[i];
        parovi[i].second = godisnje[i];
    }
    sort(parovi, parovi+n);
    double brojac = 0;
    for(int i = 0; i < n; i++)
        brojac += parovi[0].first * parovi[i].second / 100;
    double mx = brojac;
    for(int i = 1; i < n; i++)
    {
        brojac -= parovi[i-1].first * parovi[i-1].second / 100;
        brojac *= parovi[i].first / parovi[i-1].first;
        mx = max(mx, brojac);
    }
    cout << fixed << setprecision(4) << mx;
    return 0;
}